# $Revision: 1.8 $, $Date: 2002/07/23 20:13:04 $
%include 	/usr/lib/rpm/macros.python

%define		module Gnuplot

Summary:	A Python interface to the gnuplot plotting program
Summary(pl):	Interfejs dla Pythona do programu tworzcego wykresy - gnuplot
Name:		python-%{module}
Version:	1.5
Release:	4
License:	GPL
Group:		Libraries/Python
Source0:	http://prdownloads.sourceforge.net/gnuplot-py/%{module}-%{version}.tar.gz
URL:		http://gnuplot-py.sourceforge.net/
BuildRequires:	python >= 2.2.1
BuildRequires:	python-numpy
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	gnuplot
Requires:	python-numpy
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnuplot.py is a Python package that allows you to create graphs from
within Python using the gnuplot plotting program.

%description -l pl
Gnuplot.py jest moduem Pythona pozwalajcym na tworzenie wykresw z
poziomu Pythona uywajc do tego programu gnuplot.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--root=$RPM_BUILD_ROOT

mv -f doc html

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,755)
%doc ANNOUNCE.txt README.txt NEWS.txt CREDITS.txt TODO.txt Gnuplot.html html
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-Gnuplot.spec,v $
Revision 1.8  2002/07/23 20:13:04  marcus
- use new %%doc
- rel. 4.

Revision 1.7  2002/04/13 17:46:51  kloczek
- rebuild against python 2.2.1.

Revision 1.6  2002/04/11 14:01:05  wrobell
- rel. 3, stb

Revision 1.5  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.4  2002/03/22 10:57:34  wrobell
- fixed install and build requirements
- noarch
- rel. 2
- stb

Revision 1.3  2002/03/21 13:07:00  ankry
- typo in Source URL

Revision 1.2  2002/03/21 09:24:00  qboosh
- pl spelling

Revision 1.1  2002/03/20 20:47:38  filon
- new package, STBR ready
